- Main Page
- Namespaces
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Class Hierarchy
- Data Fields

# vfs_abstract Class Reference

`#include <fsAbstract.h>`

Inheritance diagram for vfs_abstract:

## Public Member Functions
virtual int | vfs_close (fileDescriptor *)
virtual int | vfs_closedir (DIR *)
virtual int | vfs_format (device_t *)
virtual int | vfs_init (void)
virtual int | vfs_mkdir (const char *, mode_t)
virtual void * | vfs_mknod (const char *, mode_t)
virtual int | vfs_open (const char *, fileDescriptor *, int,...)
virtual int | vfs_opendir (DIR *, const char *)
virtual int | vfs_purge (void)
virtual size_t | vfs_read (fileDescriptor *, void *, off_t, size_t)
virtual int | vfs_readdir (DIR *, struct dirent *)
virtual int | vfs_rename (const char *, const char *)
virtual int | vfs_rmdir (const char *)
virtual int | vfs_stop (void)
virtual int | vfs_sync (void)
virtual int | vfs_unlink (const char *)
virtual size_t | vfs_write (fileDescriptor *, void *, off_t, size_t)
virtual | ~vfs_abstract (void)
## Protected Attributes
device_t * | device
vfs_abstract * | next
vfs_abstract * | prev

## Detailed Description

Definition at line 10 of file fsAbstract.h.

## Constructor & Destructor Documentation

virtual vfs_abstract::~vfs_abstract | ( | void |  | ) | `[inline, virtual]`

Definition at line 43 of file fsAbstract.h.

## Member Function Documentation

virtual int vfs_abstract::vfs_close | ( | fileDescriptor * |  | ) | `[inline, virtual]`

Definition at line 18 of file fsAbstract.h.

virtual int vfs_abstract::vfs_closedir | ( | DIR * |  | ) | `[inline, virtual]`

Definition at line 26 of file fsAbstract.h.

virtual int vfs_abstract::vfs_format | ( | device_t * |  | ) | `[inline, virtual]`

Reimplemented in UbixFS.

Definition at line 33 of file fsAbstract.h.

virtual int vfs_abstract::vfs_init | ( | void |  | ) | `[inline, virtual]`

Reimplemented in UbixFS.

Definition at line 32 of file fsAbstract.h.

virtual int vfs_abstract::vfs_mkdir | ( | const char * | ,
|  | mode_t |  |
| ) |  |  | `[inline, virtual]`

Reimplemented in UbixFS.

Definition at line 27 of file fsAbstract.h.

virtual void* vfs_abstract::vfs_mknod | ( | const char * | ,
|  | mode_t |  |
| ) |  |  | `[inline, virtual]`

Reimplemented in UbixFS.

Definition at line 34 of file fsAbstract.h.

References NULL.

virtual int vfs_abstract::vfs_open | ( | const char * | ,
|  | fileDescriptor * | ,
|  | int | ,
|  |  | ... |
| ) |  |  | `[inline, virtual]`

Reimplemented in UbixFS.

Definition at line 17 of file fsAbstract.h.

virtual int vfs_abstract::vfs_opendir | ( | DIR * | ,
|  | const char * |  |
| ) |  |  | `[inline, virtual]`

Definition at line 25 of file fsAbstract.h.

virtual int vfs_abstract::vfs_purge | ( | void |  | ) | `[inline, virtual]`

Definition at line 35 of file fsAbstract.h.

virtual size_t vfs_abstract::vfs_read | ( | fileDescriptor * | ,
|  | void * | ,
|  | off_t | ,
|  | size_t |  |
| ) |  |  | `[inline, virtual]`

Reimplemented in UbixFS.

Definition at line 19 of file fsAbstract.h.

virtual int vfs_abstract::vfs_readdir | ( | DIR * | ,
|  | struct dirent * |  |
| ) |  |  | `[inline, virtual]`

Definition at line 29 of file fsAbstract.h.

virtual int vfs_abstract::vfs_rename | ( | const char * | ,
|  | const char * |  |
| ) |  |  | `[inline, virtual]`

Definition at line 41 of file fsAbstract.h.

virtual int vfs_abstract::vfs_rmdir | ( | const char * |  | ) | `[inline, virtual]`

Definition at line 28 of file fsAbstract.h.

virtual int vfs_abstract::vfs_stop | ( | void |  | ) | `[inline, virtual]`

Reimplemented in UbixFS.

Definition at line 36 of file fsAbstract.h.

virtual int vfs_abstract::vfs_sync | ( | void |  | ) | `[inline, virtual]`

Reimplemented in UbixFS.

Definition at line 37 of file fsAbstract.h.

virtual int vfs_abstract::vfs_unlink | ( | const char * |  | ) | `[inline, virtual]`

Definition at line 40 of file fsAbstract.h.

virtual size_t vfs_abstract::vfs_write | ( | fileDescriptor * | ,
|  | void * | ,
|  | off_t | ,
|  | size_t |  |
| ) |  |  | `[inline, virtual]`

Reimplemented in UbixFS.

Definition at line 21 of file fsAbstract.h.

## Field Documentation

device_t* vfs_abstract::device`[protected]`

Definition at line 14 of file fsAbstract.h.

vfs_abstract* vfs_abstract::next`[protected]`

Definition at line 13 of file fsAbstract.h.

vfs_abstract* vfs_abstract::prev`[protected]`

Definition at line 12 of file fsAbstract.h.

The documentation for this class was generated from the following file:

- src/sys/ubixfsv2/fsAbstract.h